Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.author
Interface ExtendedAuthorManager

All Superinterfaces:
  AuthorManager

All Known Implementing Classes:
  HibernateAuthorManagerImpl

    public interface ExtendedAuthorManager

extends AuthorManager

Method Summary
`List` | `findBuildResultsBrokenByAuthor(ExtendedAuthor author)`
`List` | `findBuildResultsFailedByAuthor(ExtendedAuthor author)`
`List` | `findBuildResultsFixedByAuthor(ExtendedAuthor author)`
`List` | `findBuildResultsSuccessfulByAuthor(ExtendedAuthor author)`
`List` | `findBuildResultsTriggeredByAuthor(ExtendedAuthor author)`
`ExtendedAuthor` | `generateOrRetrieveAuthorFromCommit(Commit commit, String authorName)` Either retrieves an existing author (if exists) or creates a new one (if author does not exist) for a given commit
`Set` | `getAllUnlinkedAuthors()`
`ExtendedAuthor` | `getAuthorById(long id)`
`ExtendedAuthor` | `getExtendedAuthorByName(String name)`
`List` | `getLinkedAuthorForUser(User user)`
`void` | `removeAuthor(ExtendedAuthor extendedAuthor)` removes an author
`void` | `saveAuthor(Author author)` Save the author

Methods inherited from interface com.atlassian.bamboo.author.AuthorManager
`getAllAuthors, getAuthorByName, getAuthorsInBuild`

Method Detail

### getAllUnlinkedAuthors

    Set getAllUnlinkedAuthors()

  Returns:
    `Set` of `ExtendedAuthor` objects not linked to users

### getExtendedAuthorByName

    ExtendedAuthor getExtendedAuthorByName(String name)

  Parameters:
    `name` -
  Returns:
    `ExtendedAuthor` with given name (assuming unique)

### generateOrRetrieveAuthorFromCommit

    ExtendedAuthor generateOrRetrieveAuthorFromCommit(Commit commit,
                                                      String authorName)

  Either retrieves an existing author (if exists) or creates a new one (if author does not exist) for a given commit

  Parameters:
    `commit` -
    `authorName` -
  Returns:
    `ExtendedAuthor` which made the commit.

### saveAuthor

    void saveAuthor(Author author)

  Save the author

  Parameters:
    `author` -

### findBuildResultsTriggeredByAuthor

    List findBuildResultsTriggeredByAuthor(ExtendedAuthor author)

  Parameters:
    `author` -
  Returns:
    `List` of `BuildResultsSummary` triggered by author

### findBuildResultsFailedByAuthor

    List findBuildResultsFailedByAuthor(ExtendedAuthor author)

  Parameters:
    `author` -
  Returns:
    `List` of `BuildResultsSummary` triggered by author and failed

### findBuildResultsSuccessfulByAuthor

    List findBuildResultsSuccessfulByAuthor(ExtendedAuthor author)

  Parameters:
    `author` -
  Returns:
    `List` of `BuildResultsSummary` triggered by author and successful

### findBuildResultsBrokenByAuthor

    List findBuildResultsBrokenByAuthor(ExtendedAuthor author)

  Parameters:
    `author` -
  Returns:
    `List` of `BuildResultsSummary` broken by author

### findBuildResultsFixedByAuthor

    List findBuildResultsFixedByAuthor(ExtendedAuthor author)

  Parameters:
    `author` -
  Returns:
    `List` of `BuildResultsSummary` fixed by author

### getAuthorById

    ExtendedAuthor getAuthorById(long id)

  Returns:
    `Author` given id

### getLinkedAuthorForUser

    List getLinkedAuthorForUser(User user)

  Parameters:
    `user` -
  Returns:
    `List` of `ExtendedAuthor` linked to the user.

### removeAuthor

    void removeAuthor(ExtendedAuthor extendedAuthor)

  removes an author

  Parameters:
    `extendedAuthor` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.